Index: Makefile
===================================================================
--- Makefile	(Revision 1841)
+++ Makefile	(Arbeitskopie)
@@ -455,6 +455,14 @@
 # Disable wiki printing by default. It is only useful if you have wiki access.
 CONFIG_PRINT_WIKI ?= no
 
+# Enable all features
+# Will fail on non-Linux/x86
+ifeq ($(BUILD_EVERYTHING), yes)
+$(foreach var,$(filter CONFIG_%,$(.VARIABLES)),\
+	$(if $(filter no,$($(var))),\
+		$(eval $(var)=yes)))
+endif
+
 # Bitbanging SPI infrastructure, default off unless needed.
 ifeq ($(CONFIG_RAYER_SPI), yes)
 override CONFIG_BITBANG_SPI = yes
